> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Re-fetch Token Instance Metadata

` PATCH /blockscout/tokens/{address_hash}/instances/{id}/refetch-metadata `

Re-fetch Token Instance Metadata

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` address_hash ` (path, required)

Address hash

- ` value `: type ` string `

  - pattern: ` "^0x([A-Fa-f0-9]{40})$" `

### ` id ` (path, required)

integer id

- ` value `: type ` integer `

## Request body (required)

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` recaptcha_response `

  - ` recaptcha_response `: type ` string `

    - example: ` "123" `

## Responses

### ` 200 ` — OK

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` items `, ` next_page_params `

  - ` message `: type ` string `

    - example: ` "OK" `

### ` 403 ` — Invalid reCAPTCHA response

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` items `, ` next_page_params `

  - ` message `: type ` string `

    - example: ` "Invalid reCAPTCHA response" `

## Request examples

### cURL

```curl
curl -X PATCH 'https://data-api.b3.fun//blockscout/tokens/string/instances/0/refetch-metadata' \
  -H 'Content-Type: application/json' \
  -d '{
  "recaptcha_response": "123"
}'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/tokens/string/instances/0/refetch-metadata', {
  method: 'PATCH',
  headers: {
      "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "recaptcha_response": "123"
  })
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.patch('https://data-api.b3.fun//blockscout/tokens/string/instances/0/refetch-metadata', json={
  "recaptcha_response": "123"
})
print(response.json())
```